<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/toolbar"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/transparent"
    android:fitsSystemWindows="true"
    android:paddingLeft="@dimen/dp_10"
    android:paddingRight="@dimen/dp_10"
    android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar"
    android:visibility="visible"
    app:popupTheme="@style/AppBarTheme">

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="15dp"
        android:paddingLeft="@dimen/dp_20"
        android:paddingTop="5dp"
        android:paddingRight="12dp"
        android:paddingBottom="5dp"
        android:src="@drawable/icon_back_black"
        app:layout_constraintBottom_toBottomOf="@+id/title"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="@+id/title" />

    <TextView
        android:id="@+id/title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_44"
        android:layout_centerInParent="true"
        android:layout_gravity="center"
        android:gravity="center"
        android:textColor="@color/common_black"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="我的课程" />

    <ImageView
        android:id="@+id/tv_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right"
        android:layout_marginRight="15dp"
        android:scaleType="centerCrop"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/title"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/title"
        tools:visibility="visible" />

    <ImageView
        android:id="@+id/tv_right2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right"
        android:layout_marginRight="25dp"
        android:scaleType="centerCrop"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/title"
        app:layout_constraintLeft_toRightOf="@+id/tv_right"
        app:layout_constraintTop_toTopOf="@+id/title"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/tv_right_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right|center_vertical"
        android:layout_marginRight="15dp"
        android:scaleType="centerCrop"
        android:text=""
        android:textColor="@color/white"
        android:textSize="15sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/title"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/title"
        tools:text="右侧标题"
        tools:visibility="gone" />
</androidx.constraintlayout.widget.ConstraintLayout>